import { Controller, Get, Param } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { Public } from 'src/core/guards';
import { SupersetService } from './superset.service';

@ApiTags(`Superset`)
@Controller(`v1/superset`)
export class SupersetController {
  constructor(private service: SupersetService) {}
  @Get('token/:id')
  @Public(true)
  async getGuestToken(@Param('id') id: string) {
    return this.service.getGuestToken(id);
  }
}
